<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Invoice</title>

    <style>
        @page {
            size: A4;
            margin: 0;
            padding: 0;
        }

        html, body {
            size: A4;
            width: 210mm;
            height: 297mm;
            margin: 0;
            padding: 0;
            font-size: 13px;
            -webkit-print-color-adjust: exact;
        }

        h3, p {
            word-break: break-word;
        }

        h3 {
            font-size: 17px;
        }

        .page {
            margin: 15mm;
            width: 180mm;
        }


        .m-0 {
            margin: 0;
        }

        .p-0 {
            padding: 0;
        }

        .mr-10 {
            margin-right: 10px;
        }

        .ml-10 {
            margin-left: 10px;
        }

        .text-bold {
            font-weight: bold;
        }

        .text-small {
            font-size: 11px;
            margin: 0;
        }

        .text-left {
            text-align: left;
        }

        .text-right {
            text-align: right;
        }

        .right {
            float: right;
            clear: both;
        }


        .header {
            height: 50mm;
        }

        #logo {
            margin-top: 15mm;
            width: 40%;
            max-height: 50mm;
            float: right;
        }

        .address-provider-container {
            padding-top: 15mm;
        }


        .invoice-summary-container {
            padding-top: 1mm;
            padding-bottom: 3mm;
        }

        .invoice-summary-header {
            text-align: center;
            margin-bottom: 3mm;
        }


        .invoice-table {
            border-collapse: collapse;
            width: 100%;
        }

        .invoice-table tbody tr:first-child td {
            padding-top: 2mm;
            padding-bottom: 0mm;
        }

        .invoice-table tbody tr td {
            padding-top: 1mm;
            padding-bottom: 1mm;
        }

        .invoice-table-head {
            font-weight: bold;
            border-bottom: 1px solid black;
        }

        .invoice-table-seperator {
            border-bottom: 1px solid black;
        }

        .invoice-table-summary {
            font-weight: bold;
            background-color: lightgray;
            border-top: 1px solid gray;
            border-bottom: 1px solid gray;
        }


        .footer {
            margin-right: 15mm;
            margin-bottom: 10mm;
            position: absolute;
            bottom: 0;
            color: gray;
        }
    </style>
</head>




<body class="page">
<div class="header">
    <img id="logo" src="{{ image('logo') }}" alt="logo">
    <div class="address-provider-container">
        
    <p class="m-0 text-bold">{{ platform_address.name }}</p>
    <p class="m-0">{{ platform_address.address1 }}</p>
    {% if platform_address.address2 %}
        <p class="m-0">{{ platform_address.address2 }}</p>
    {% endif %}
    <p class="m-0">{{ platform_address.zip_code }} {{ platform_address.city }}</p>
    <p class="m-0">{{ platform_address.country|country }}</p>

        <br/>
    </div>
</div>
<div>
    
    <p class="m-0 text-bold">{{ provider_address.name }}</p>
    <p class="m-0">{{ provider_address.address1 }}</p>
    {% if provider_address.address2 %}
        <p class="m-0">{{ provider_address.address2 }}</p>
    {% endif %}
    <p class="m-0">{{ provider_address.zip_code }} {{ provider_address.city }}</p>
    <p class="m-0">{{ provider_address.country|country }}</p>

</div>
<div class="invoice-summary-container">
    <h3 class="invoice-summary-header">
        Invoice from {{ provider_invoice.created|dt|localize|date("DATE_FORMAT") }}
    </h3>
    <p class="m-0">
        Invoice number: {{ provider_invoice.number_series }}-{{ provider_invoice.number }}
    </p>
    <p class="m-0">
        {% if provider_invoice.performance_start %}
            Accounting period: {{ provider_invoice.performance_start|dt|localize|date("DATE_FORMAT") }} - {{ provider_invoice.performance_end|dt|localize|date("DATE_FORMAT") }}
        {% else %}
            Accounting period: until {{ provider_invoice.performance_end|dt|localize|date("DATE_FORMAT") }}
        {% endif %}
    </p>
    {% if provider_address.vat_id %}
        <p class="m-0">
            Customer UID number: {{ provider_address.vat_id }}
        </p>
    {% endif %}
</div>
<div>
    <table class="invoice-table">
        <thead class="invoice-table-head">
            <tr>
                <th class="text-left" style="width: 70%;">Invoice Overview</th>
                <th class="text-right" style="width: 10%;">VAT (%)</th>
                <th class="text-right" style="width: 10%;">Net</th>
                <th class="text-right" style="width: 10%;">Gross</th>
            </tr>
        </thead>
        <tbody>
        {% for provider_invoice_item in provider_invoice_items %}
            <tr>
                <td>
                    <p class="m-0 text-bold">{{ provider_invoice_item.name }}</p>
                    <div>{{ provider_invoice_item.description }}</div>
                </td>
                <td nowrap="nowrap">
                    <span class="right">
                        {{ provider_invoice_item.amount|vat(provider_invoice_item.vat_percent)|money(provider_invoice_item.amount_currency) }}
                        ({{ '%0.2f'| format(provider_invoice_item.vat_percent | float) | replace('.', ',') }}%)
                    </span>
                </td>
                <td nowrap="nowrap">
                    <span class="ml-10 right">
                        {{ provider_invoice_item.amount|net(provider_invoice_item.vat_percent)|money(provider_invoice_item.amount_currency) }}
                    </span>
                </td>
                <td nowrap="nowrap">
                    <span class="ml-10 right">
                        {{ provider_invoice_item.amount.amount|money(provider_invoice_item.amount_currency) }}
                    </span>
                </td>
            </tr>
            
    <tr>
        
            <td class="p-0">
                {% if not loop.last %}
                    <div class="invoice-table-seperator"></div>
                {% endif %}
            </td>
        
            <td class="p-0">
                {% if not loop.last %}
                    <div class="invoice-table-seperator"></div>
                {% endif %}
            </td>
        
            <td class="p-0">
                {% if not loop.last %}
                    <div class="invoice-table-seperator"></div>
                {% endif %}
            </td>
        
            <td class="p-0">
                {% if not loop.last %}
                    <div class="invoice-table-seperator"></div>
                {% endif %}
            </td>
        
    </tr>

        {% endfor %}
        <tr class="invoice-table-summary">
            <td>Invoice amount</td>
            <td nowrap="nowrap">
                {% for currency, value in provider_invoice.sum_payment_fees.items() %}
                    <p class="m-0 right">
                        {{ value.vat|money(currency) }}
                    </p>
                {% endfor %}
            </td>
            <td nowrap="nowrap">
                {% for currency, value in provider_invoice.sum_payment_fees.items() %}
                    <p class="m-0 right">
                        {{ value.net|money(currency) }}
                    </p>
                {% endfor %}
            </td>
            <td nowrap="nowrap">
                {% for currency, value in provider_invoice.sum_payment_fees.items() %}
                    <p class="m-0 right">
                        {{ value.gross|money(currency) }}
                    </p>
                {% endfor %}
            </td>
        </tr>
        </tbody>
    </table>
    <p class="text-small" style="margin-top: 2mm; margin-bottom: 15mm;">
        Please do not deposit! The amount was already deducted from your platform balance.
    </p>

    {% if provider_invoice.performance_start %}
        <table class="invoice-table" style="margin-bottom: 5mm;">
            <thead class="invoice-table-head">
                <tr>
                    <th class="text-left" style="width: 90%;">
                        Balance overview as of {{ provider_invoice.performance_start|dt|localize|date("DATE_FORMAT") }}
                    </th>
                    <th class="text-right" style="width: 10%;">Amount</th>
                </tr>
            </thead>
            <tbody>
                
    {% if provider_invoice.balance_provider_address_start %}
        <tr>
            <td>
                <p class="m-0 text-bold">Platform balance</p>
                <div class="text-small"></div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in provider_invoice.balance_provider_address_start.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

                {% if provider_invoice.balance_provider_address_start and provider_invoice.balance_owing_accounts_start %}
                    
    <tr>
        
            <td class="p-0">
                
                    <div class="invoice-table-seperator"></div>
                
            </td>
        
            <td class="p-0">
                
                    <div class="invoice-table-seperator"></div>
                
            </td>
        
    </tr>

                {% endif %}
                
    {% if provider_invoice.balance_owing_accounts_start %}
        <tr>
            <td>
                <p class="m-0 text-bold">Customer debts</p>
                <div class="text-small">Amount not yet available due to incomplete payments</div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in provider_invoice.balance_owing_accounts_start.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

                
    {% if provider_invoice.balance_payment_backends_start %}
        <tr>
            <td>
                <p class="m-0 text-bold">Payment backends</p>
                <div class="text-small">Amount processed by custom payment backends</div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in provider_invoice.balance_payment_backends_start.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

                
    <tr class="invoice-table-summary">
        <td>Outstanding amount</td>
        <td nowrap="nowrap">
            {% for currency, amount in provider_invoice.balance_initial.items() %}
                <p class="m-0 right">
                    {{ amount|money(currency) }}
                </p>
            {% endfor %}
        </td>
    </tr>

            </tbody>
        </table>
    {% endif %}

    {% if provider_invoice.intermediate_transfers %}
        <table class="invoice-table" style="margin-bottom: 5mm;">
            <thead class="invoice-table-head">
                <tr>
                    <th class="text-left" style="width: 90%;">
                        Transfers to connected account
                    </th>
                    <th class="text-right" style="width: 10%;">Amount</th>
                </tr>
            </thead>
            <tbody>
                {% for datetime, balance in provider_invoice.intermediate_transfers.items() %}
                    
    {% if balance %}
        <tr>
            <td>
                <p class="m-0 text-bold">Transfer on {{ datetime|dt|localize|date("DATE_FORMAT") }}</p>
                <div class="text-small"></div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in balance.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

                    
    <tr>
        
            <td class="p-0">
                {% if not loop.last %}
                    <div class="invoice-table-seperator"></div>
                {% endif %}
            </td>
        
            <td class="p-0">
                {% if not loop.last %}
                    <div class="invoice-table-seperator"></div>
                {% endif %}
            </td>
        
    </tr>

                {% endfor %}
            </tbody>
        </table>
    {% endif %}

    <table class="invoice-table">
        <thead class="invoice-table-head">
            <tr>
                <th class="text-left" style="width: 90%;">
                    Balance overview as of {{ provider_invoice.performance_end|dt|localize|date("DATE_FORMAT") }}
                </th>
                <th class="text-right" style="width: 10%;">Amount</th>
            </tr>
        </thead>
        <tbody>
            
    {% if provider_invoice.balance_provider_address_end %}
        <tr>
            <td>
                <p class="m-0 text-bold">Platform balance</p>
                <div class="text-small"></div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in provider_invoice.balance_provider_address_end.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

            {% if provider_invoice.balance_provider_address_end and provider_invoice.balance_owing_accounts_end %}
                
    <tr>
        
            <td class="p-0">
                
                    <div class="invoice-table-seperator"></div>
                
            </td>
        
            <td class="p-0">
                
                    <div class="invoice-table-seperator"></div>
                
            </td>
        
    </tr>

            {% endif %}
            
    {% if provider_invoice.balance_owing_accounts_end %}
        <tr>
            <td>
                <p class="m-0 text-bold">Customer debts</p>
                <div class="text-small">Amount not yet available due to incomplete payments</div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in provider_invoice.balance_owing_accounts_end.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

            
    {% if provider_invoice.balance_payment_backends_end %}
        <tr>
            <td>
                <p class="m-0 text-bold">Payment backends</p>
                <div class="text-small">Amount processed by custom payment backends</div>
            </td>
            <td nowrap="nowrap">
                {% for currency, amount in provider_invoice.balance_payment_backends_end.items() %}
                    <span class="right">
                        {{ amount|money(currency) }}
                    </span>
                {% endfor %}
            </td>
        </tr>
    {% endif %}

            
    <tr class="invoice-table-summary">
        <td>Transfer amount</td>
        <td nowrap="nowrap">
            {% for currency, amount in provider_invoice.balance_transfer.items() %}
                <p class="m-0 right">
                    {{ amount|money(currency) }}
                </p>
            {% endfor %}
        </td>
    </tr>

        </tbody>
    </table>
    {% if provider_invoice.generate_transfer %}
        <p class="text-small" style="margin-top: 2mm;">
            The transfer amount will be payed out to your connected account.
        </p>
    {% endif %}
</div>
<div class="footer">
    <p class="text-small m-0">
        {% if platform_address.vat_id %}
            <span class="mr-10">
                UID number: {{ platform_address.vat_id }}
            </span>
        {% endif %}
        {% if platform_address.register_number %}
            <span class="mr-10">
                FN: {{ platform_address.register_number }}
            </span>
        {% endif %}
        {% if platform_address.jurisdiction %}
            <span class="mr-10">
                Jurisdiction: {{ platform_address.jurisdiction }}
            </span>
        {% endif %}
    </p>
    
</div>
</body>
</html>
